﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Windows.Controls;
using Syncfusion.Windows.Controls.Grid;
using System.Windows.Input;

namespace WpfApplication8
{
    public class CustomTextBoxCellModelExt : GridCellModel<CustomTextBoxCellRendererExt>
    {
        public CustomTextBoxCellModelExt()
        {

        }
    }

    public class CustomTextBoxCellRendererExt : GridCellTextBoxRenderer
    {
        protected override void OnSetFocus()
        {
            //if (!ActivateOptions.IsActivateTriggeredByMouseDownIntoUIElement)
            if ((this.GridControl.Model.Options.ActivateCurrentCellBehavior & GridCellActivateAction.SelectAll)!= GridCellActivateAction.None)
                CurrentCellUIElement.SelectAll();
            else
            {
                CurrentCellUIElement.CaptureMouse();
                CurrentCellUIElement.CaretIndex = CurrentCellUIElement.GetCharacterIndexFromPoint(Mouse.GetPosition(CurrentCellUIElement), true);
                CurrentCellUIElement.Focus();
            }
        }
    }
}
